SNA

Update session

Update session metadata: label, meta, and cwd.

PATCH
/agent/sessions/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/agent/sessions/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "status": "updated",
  "session": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}